package net.t2code.lib.Spigot.system.config;

import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.system.T2CodeMain;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;


public class ConfigCreate {

    public static void configCreate() {
        Long long_ = Long.valueOf(System.currentTimeMillis());
        if (new File(T2CodeMain.getPath(), "config.yml").exists()){
            if (T2CodeMain.getPlugin().getConfig().getBoolean("Plugin.Debug")) send.console(T2CodeMain.getPrefix() + " §5DEBUG: §6" +  " §4config.yml are created / updated...");
        } else send.console(T2CodeMain.getPrefix() + " §4config.yml are created...");


        File config = new File(T2CodeMain.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        Config.set("Plugin.UpdateCheck.OnJoin", true, yamlConfiguration);
        Config.set("Plugin.UpdateCheck.TimeInterval", 60, yamlConfiguration);
        Config.set("Plugin.language", "english", yamlConfiguration);

        Config.set("BungeeCord.Enable", false, yamlConfiguration);
        Config.set("BungeeCord.ThisServer", "server", yamlConfiguration);
        Config.set("Player.Inventories.CloseByServerStop", true, yamlConfiguration);

        try {
            yamlConfiguration.save(config);
        } catch (IOException e) {
            e.printStackTrace();
        }

        send.console(T2CodeMain.getPrefix() + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");

    }
}
